package cn.iocoder.yudao.module.infra.controller.admin.file.vo.file;

import cn.iocoder.yudao.module.infra.dal.dataobject.file.FileConfigDO;
import lombok.Data;

@Data
public class BusinessFileVO {
    /**
     * 编号，数据库自增
     */
    private Long id;

    /**
     * 业务类型
     * 1 日志附件 2 签名附件 3 头像 5 考勤附件 6 人脸照片
     */
    private Long businessType;
    /**
     * 配置编号
     *
     * 关联 {@link FileConfigDO#getId()}
     */
    private Long configId;
    /**
     * 原文件名
     */
    private String name;
    /**
     * 路径，即文件名
     */
    private String path;
    /**
     * 访问地址
     */
    private String url;
    /**
     * 文件的 MIME 类型，例如 "application/octet-stream"
     */
    private String type;
    /**
     * 文件大小
     */
    private Integer size;

    /**
     * 上传人ID
     */
    private Long uploadUserId ;

    /**
     * 流程实例编号
     */
    private String businessInstanceId ;
}
