package cn.iocoder.yudao.module.system.api.robot.dto;

import lombok.Data;

/**
 * 车身控制器状态,详情如下表
 */
@Data
public class RobotHwStatesDTO {
    //控制器状态
    private String controller_state;
    //转向电机角度，0 为正前方，逆时针正方向，顺时针负
    private String steer_angle;
    //转向电机驱动器错误码
    private String steer_error_code;
    //行走电机转速，m/s
    private String walk_motor_vel;
    //行走电机电流
    private String walk_motor_current;
    //行走电机温度
    private String walk_motor_temperature;
    //行走电机电源单元状态
    private String walk_motor_power_unit_state;
    //行走电机主接触器状态
    private String walk_motor_main_contactor_state;
    //行走电机电子制动状态
    private String walk_motor_electric_brake_state;
    //行走电机锁定开关状态
    private String walk_motor_lock_switch_state;
    //行走电机驱动器错误码
    private String walk_motor_error_code;
    //货叉高度
    private String fork_height;
    //电池的剩余容量
    private String bat_soc;
    //电池电流
    private String bat_current;
    //电池电压
    private String bat_voltage;
    //电池温度
    private String bat_temperature;
    //解析后的电池故障码
    private String bat_error_code;
    //充电接触器闭合 false 为开，true 为闭合
    private String charge_relay_closed;
    //bms 状态：电池充电中，false 为放电，true 为充电
    private String bat_charging;
    //货物到位传感器触发状态：被按下则 true，否则 false
    private String cargo_detected;
    //叉尖传感器触发状态：物体接近触发为 true，否则为 false
    private String fork_tip_sensor_state;
    //急停按键状态：按下为 true，松开为 false
    private String estop_button_state;
    //启动按键状态：按下为 true，松开为 false
    private String start_button_state;
    //复位按键状态：按下为 true，松开为 false
    private String reset_button_state;
    //手动模式拨杆状态：true 表示在手动状态，false 为自动
    private String manual_switch_state;
    //转向电机零位传感器状态，true 为触发，false 为未触发
    private String steer_sensor_state;
    //碰撞传感器触发状态：触发为 true，否则为 false
    private String bumper_sensor_state;
    //灯条状态代码
    private String led_state;
}
