package cn.iocoder.yudao.module.system.controller.admin.houselane.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 线库新增/修改 Request VO")
@Data
public class WareHouseLaneSaveReqVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "4293")
    private Long id;

    @Schema(description = "地图id", example = "芋艿")
    private Long positionMapId;

    @Schema(description = "线库名称", example = "芋艿")
    private String laneName;

    @Schema(description = "线库说明(可以拓展为说明)")
    private String laneMsg;

    @Schema(description = "地图库位节点ids")
    private List<Long> mapItemIds;
}
